Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 7049

Summary: lpr unable to connect to JetDirect Printer
Product: [Retired] Red Hat Linux Reporter: David S. Kulwin <davidk>
Component: lprAssignee: Bernhard Rosenkraenzer <bero>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.1   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-18 13:13:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description David S. Kulwin 1999-11-16 17:03:52 UTC
(This bug also occured in version 6.0)

I have a Pentium 333 running Redhat 6.1 (upgraded from 6.0).  I have two
lan cards, one connected to a roadrunner modem, the other connected to my
LAN hub.  On the LAN is also a Windows/NT machine, a Windows 98 machine
and an HP Laserjet 4000 with an internal JetDirect print server.  Both
Windows machines are configured to print directly to the printer.  Linux
is configured for both the RAW and TEXT queues of the printer.  When LPR
is run from a shell, the following message is returned:

lpr: connect: Connection refused
jobs queued, but cannot start daemon.

The job will print once lpd is restarted, but lpr seems to fail whenever
run.

This problem is persistent in 6.1, but intermittent in 6.0.

I have uninstalled and reinstalled the following RPMs with no effect:
lpr-0.46-1.i386.rpm
printtool-3.41-2.noarch.rpm
rhs-printfilters-1.57-3.i386.rpm

Comment 1 Bernhard Rosenkraenzer 1999-11-22 17:48:59 UTC
Are you running lpd locally? You have to... (lpr can't connect sounds like a
problem connecting to your local lpd, which passes the requests on to the
network printers).

Comment 2 David S. Kulwin 1999-11-22 17:58:59 UTC
Yes, lpd is run locally.  Lpr apparently queues the request locally when it is
unable to start the daemon.  Going to /etc/rc.d/init.d and executing a 'lpd
restart' prints the queued jobs, but subsequent lpr's still fail.

Comment 3 Bernhard Rosenkraenzer 2000-02-18 13:13:59 UTC
Try 0.51-4